GeneratedMetaMethod.Proxy (groovy 2.4.12 API)
Date: 2017-06-21

Package: org.codehaus.groovy.reflection

## [Java] Class Proxy

- org.codehaus.groovy.reflection.GeneratedMetaMethod.Proxy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedMetaMethod.Proxy (String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `doMethodInvoke(Object object, Object[] argumentArray)`
    `` | `Object` | `invoke(Object object, Object[] arguments)`
    `` | `boolean` | `isValidMethod(Class[] arguments)`
    `` | `MetaMethod` | `proxy()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GeneratedMetaMethod` | `getDeclaringClass, getModifiers, getName, getReturnType`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GeneratedMetaMethod.Proxy(String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)

  - ### Method Detail

    - #### @Override public Object doMethodInvoke(Object object, Object[] argumentArray)

    - #### public Object invoke(Object object, Object[] arguments)

    - #### @Override public boolean isValidMethod(Class[] arguments)

    - #### public final MetaMethod proxy()